PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceContextWaitForContext

Make one context wait for another context to finish

### Synopsis

    #include "petscdevice.h"
    PetscErrorCode PetscDeviceContextWaitForContext(PetscDeviceContext dctxa, PetscDeviceContext dctxb)

Not Collective, Asynchronous

### Input Parameters

| dctxa | - The PetscDeviceContext object that is waiting
| dctxb | - The PetscDeviceContext object that is being waited on

### Notes

Serializes two PetscDeviceContexts. This routine uses only the state of dctxb at the moment this routine was called, so any future work queued will not affect dctxa. It is safe to pass the same context to both arguments.

### See Also

PetscDeviceContextCreate(), PetscDeviceContextQueryIdle(), PetscDeviceContextJoin()

### Level

beginner

### Location

src/sys/objects/device/interface/dcontext.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages